Libglfw3 install error unauthenticated

We’ve run into problems installing libglfw3 that didn’t happen a week ago. I think it might be an expired key and related to https://travis-ci.community/t/trusty-mysql-5-7-install-error/2350.

travis.yml

addons:
     apt:
         sources:
              - debian-sid
         packages:
              - libglfw3-dev

Log:

apt-get install failed
$ cat ${TRAVIS_HOME}/apt-get-update.log
Get:1 http://dl.hhvm.com/ubuntu trusty InRelease [3,106 B]
Ign:2 http://repo.mongodb.org/apt/ubuntu trusty/mongodb-org/3.4 InRelease
Ign:3 http://dl.google.com/linux/chrome/deb stable InRelease
Ign:4 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty InRelease
Get:5 http://ftp.us.debian.org/debian unstable InRelease [242 kB]
Get:6 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-updates InRelease [65.9 kB]
Get:8 http://repo.mongodb.org/apt/ubuntu trusty/mongodb-org/3.4 Release [2,495 B]
Get:9 http://dl.hhvm.com/ubuntu trusty/main amd64 Packages [1,806 B]
Get:10 http://ppa.launchpad.net/chris-lea/redis-server/ubuntu trusty InRelease [15.4 kB]
Get:11 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-backports InRelease [65.9 kB]
Get:12 http://security.ubuntu.com/ubuntu trusty-security InRelease [65.9 kB]
Ign:7 http://toolbelt.heroku.com/ubuntu ./ InRelease
Get:13 https://download.docker.com/linux/ubuntu trusty InRelease [37.1 kB]
Get:14 http://apt.postgresql.org/pub/repos/apt trusty-pgdg InRelease [61.4 kB]
Get:17 http://dl.google.com/linux/chrome/deb stable Release [943 B]
Get:18 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty Release [58.5 kB]
Get:15 http://toolbelt.heroku.com/ubuntu ./ Release [1,609 B]
Get:19 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-updates/main Sources [527 kB]
Ign:5 http://ftp.us.debian.org/debian unstable InRelease
Get:20 http://repo.mongodb.org/apt/ubuntu trusty/mongodb-org/3.4 Release.gpg [801 B]
Get:22 http://ftp.us.debian.org/debian unstable/main amd64 Packages [11.2 MB]
Get:23 http://dl.google.com/linux/chrome/deb stable Release.gpg [819 B]
Get:16 http://dl.bintray.com/apache/cassandra 39x InRelease [3,168 B]
Get:24 https://download.docker.com/linux/ubuntu trusty/stable amd64 Packages [5,207 B]
Get:25 https://download.docker.com/linux/ubuntu trusty/edge amd64 Packages [6,366 B]
Ign:26 http://ppa.launchpad.net/couchdb/stable/ubuntu trusty InRelease
Get:27 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-updates/restricted Sources [6,449 B]
Get:21 http://toolbelt.heroku.com/ubuntu ./ Release.gpg [473 B]
Get:28 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-updates/universe Sources [288 kB]
Get:29 http://repo.mongodb.org/apt/ubuntu trusty/mongodb-org/3.4/multiverse amd64 Packages [13.6 kB]
Get:30 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-updates/multiverse Sources [7,287 B]
Get:31 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-updates/main amd64 Packages [1,421 kB]
Get:32 http://ppa.launchpad.net/git-core/ppa/ubuntu trusty InRelease [20.8 kB]
Get:33 http://dl.google.com/linux/chrome/deb stable/main amd64 Packages [1,114 B]
Get:35 http://apt.postgresql.org/pub/repos/apt trusty-pgdg/main amd64 Packages [200 kB]
Get:37 http://security.ubuntu.com/ubuntu trusty-security/main Sources [216 kB]
Get:38 http://ppa.launchpad.net/openjdk-r/ppa/ubuntu trusty InRelease [15.4 kB]
Get:34 http://dl.bintray.com/apache/cassandra 39x/main amd64 Packages [682 B]
Get:36 http://toolbelt.heroku.com/ubuntu ./ Packages [636 B]
Get:39 http://dl.bintray.com/apache/cassandra 39x/main i386 Packages [682 B]
Get:40 http://ppa.launchpad.net/pollinate/ppa/ubuntu trusty InRelease [15.4 kB]
Get:41 http://security.ubuntu.com/ubuntu trusty-security/restricted Sources [5,050 B]
Get:42 https://packagecloud.io/computology/apt-backport/ubuntu trusty InRelease [23.5 kB]
Get:43 http://security.ubuntu.com/ubuntu trusty-security/universe Sources [125 kB]
Get:44 http://apt.postgresql.org/pub/repos/apt trusty-pgdg/main i386 Packages [199 kB]
Get:45 https://packagecloud.io/github/git-lfs/ubuntu trusty InRelease [23.2 kB]
Get:46 http://security.ubuntu.com/ubuntu trusty-security/multiverse Sources [3,068 B]
Get:47 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-updates/main i386 Packages [1,328 kB]
Get:48 http://ppa.launchpad.net/webupd8team/java/ubuntu trusty InRelease [15.5 kB]
Get:49 http://security.ubuntu.com/ubuntu trusty-security/main amd64 Packages [1,000 kB]
Ign:45 https://packagecloud.io/github/git-lfs/ubuntu trusty InRelease
Get:50 https://packagecloud.io/rabbitmq/rabbitmq-server/ubuntu trusty InRelease [23.7 kB]
Get:51 http://ftp.us.debian.org/debian unstable/main i386 Packages [11.1 MB]
Get:52 http://ppa.launchpad.net/couchdb/stable/ubuntu trusty Release [15.1 kB]
Get:53 http://security.ubuntu.com/ubuntu trusty-security/main i386 Packages [912 kB]
Get:54 https://packagecloud.io/computology/apt-backport/ubuntu trusty/main Sources [843 B]
Get:55 http://security.ubuntu.com/ubuntu trusty-security/main Translation-en [525 kB]
Get:56 https://packagecloud.io/computology/apt-backport/ubuntu trusty/main amd64 Packages [3,628 B]
Get:57 http://ppa.launchpad.net/chris-lea/redis-server/ubuntu trusty/main amd64 Packages [1,844 B]
Get:58 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-updates/main Translation-en [682 kB]
Get:59 http://security.ubuntu.com/ubuntu trusty-security/restricted amd64 Packages [18.1 kB]
Get:60 https://packagecloud.io/computology/apt-backport/ubuntu trusty/main i386 Packages [848 B]
Get:61 http://security.ubuntu.com/ubuntu trusty-security/restricted i386 Packages [17.8 kB]
Get:62 http://ppa.launchpad.net/chris-lea/redis-server/ubuntu trusty/main i386 Packages [1,844 B]
Get:63 http://security.ubuntu.com/ubuntu trusty-security/restricted Translation-en [3,272 B]
Get:64 https://packagecloud.io/github/git-lfs/ubuntu trusty/main Sources [20 B]
Get:65 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-updates/restricted amd64 Packages [21.4 kB]
Get:66 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-updates/restricted i386 Packages [21.1 kB]
Get:67 http://security.ubuntu.com/ubuntu trusty-security/universe amd64 Packages [368 kB]
Get:68 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-updates/restricted Translation-en [3,704 B]
Get:69 http://ppa.launchpad.net/chris-lea/redis-server/ubuntu trusty/main Translation-en [990 B]
Get:70 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-updates/universe amd64 Packages [661 kB]
Get:71 https://packagecloud.io/github/git-lfs/ubuntu trusty/main amd64 Packages [7,621 B]
Get:72 http://security.ubuntu.com/ubuntu trusty-security/universe i386 Packages [350 kB]
Get:73 http://ppa.launchpad.net/git-core/ppa/ubuntu trusty/main amd64 Packages [3,486 B]
Get:74 http://security.ubuntu.com/ubuntu trusty-security/universe Translation-en [199 kB]
Get:75 https://packagecloud.io/github/git-lfs/ubuntu trusty/main i386 Packages [7,380 B]
Get:76 http://security.ubuntu.com/ubuntu trusty-security/multiverse amd64 Packages [4,723 B]
Get:77 https://packagecloud.io/rabbitmq/rabbitmq-server/ubuntu trusty/main Sources [20 B]
Get:78 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-updates/universe i386 Packages [641 kB]
Get:79 http://ppa.launchpad.net/git-core/ppa/ubuntu trusty/main i386 Packages [3,484 B]
Get:80 http://security.ubuntu.com/ubuntu trusty-security/multiverse i386 Packages [4,876 B]
Get:81 http://security.ubuntu.com/ubuntu trusty-security/multiverse Translation-en [2,426 B]
Get:82 https://packagecloud.io/rabbitmq/rabbitmq-server/ubuntu trusty/main amd64 Packages [7,165 B]
Get:83 http://ppa.launchpad.net/git-core/ppa/ubuntu trusty/main Translation-en [2,332 B]
Get:84 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-updates/universe Translation-en [342 kB]
Get:85 https://packagecloud.io/rabbitmq/rabbitmq-server/ubuntu trusty/main i386 Packages [7,165 B]
Get:86 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-updates/multiverse amd64 Packages [16.0 kB]
Get:87 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-updates/multiverse i386 Packages [16.5 kB]
Get:88 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-updates/multiverse Translation-en [7,680 B]
Get:89 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty Release.gpg [933 B]
Get:90 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-backports/main Sources [10.4 kB]
Get:91 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-backports/restricted Sources [40 B]
Get:92 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-backports/universe Sources [41.3 kB]
Get:93 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-backports/multiverse Sources [1,747 B]
Get:94 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-backports/main amd64 Packages [14.7 kB]
Get:95 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-backports/main i386 Packages [14.7 kB]
Get:96 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-backports/main Translation-en [7,426 B]
Get:97 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-backports/restricted amd64 Packages [40 B]
Get:98 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-backports/restricted i386 Packages [40 B]
Get:99 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-backports/restricted Translation-en [40 B]
Get:100 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-backports/universe amd64 Packages [52.5 kB]
Get:101 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-backports/universe i386 Packages [52.4 kB]
Get:102 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-backports/universe Translation-en [40.0 kB]
Get:103 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-backports/multiverse amd64 Packages [1,392 B]
Get:104 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-backports/multiverse i386 Packages [1,376 B]
Get:105 http://ppa.launchpad.net/openjdk-r/ppa/ubuntu trusty/main amd64 Packages [7,571 B]
Get:106 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty-backports/multiverse Translation-en [1,165 B]
Get:107 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty/main Sources [1,335 kB]
Get:108 http://ppa.launchpad.net/openjdk-r/ppa/ubuntu trusty/main i386 Packages [7,700 B]
Get:109 http://ftp.us.debian.org/debian unstable/main Translation-en [6,319 kB]
Get:110 http://ppa.launchpad.net/openjdk-r/ppa/ubuntu trusty/main Translation-en [2,388 B]
Get:111 http://ppa.launchpad.net/pollinate/ppa/ubuntu trusty/main amd64 Packages [430 B]
Get:112 http://ppa.launchpad.net/pollinate/ppa/ubuntu trusty/main i386 Packages [430 B]
Get:113 http://ppa.launchpad.net/pollinate/ppa/ubuntu trusty/main Translation-en [374 B]
Get:114 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty/restricted Sources [5,335 B]
Get:115 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty/universe Sources [7,926 kB]
Get:116 http://ppa.launchpad.net/webupd8team/java/ubuntu trusty/main amd64 Packages [1,553 B]
Get:117 http://ppa.launchpad.net/webupd8team/java/ubuntu trusty/main i386 Packages [1,553 B]
Get:118 http://ppa.launchpad.net/webupd8team/java/ubuntu trusty/main Translation-en [834 B]
Get:119 http://ppa.launchpad.net/couchdb/stable/ubuntu trusty Release.gpg [316 B]
Get:120 http://ppa.launchpad.net/couchdb/stable/ubuntu trusty/main amd64 Packages [985 B]
Get:121 http://ppa.launchpad.net/couchdb/stable/ubuntu trusty/main i386 Packages [985 B]
Get:122 http://ppa.launchpad.net/couchdb/stable/ubuntu trusty/main Translation-en [644 B]
Get:123 http://ftp.us.debian.org/debian unstable/contrib amd64 Packages [71.8 kB]
Get:124 http://ftp.us.debian.org/debian unstable/contrib i386 Packages [65.1 kB]
Get:125 http://ftp.us.debian.org/debian unstable/contrib Translation-en [50.0 kB]
Get:126 http://ftp.us.debian.org/debian unstable/non-free amd64 Packages [113 kB]
Get:127 http://ftp.us.debian.org/debian unstable/non-free i386 Packages [101 kB]
Get:128 http://ftp.us.debian.org/debian unstable/non-free Translation-en [93.7 kB]
Get:129 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty/multiverse Sources [211 kB]
Get:130 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty/main amd64 Packages [1,743 kB]
Get:131 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty/main i386 Packages [1,739 kB]
Get:132 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty/restricted amd64 Packages [16.0 kB]
Get:133 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty/restricted i386 Packages [16.4 kB]
Get:134 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty/universe amd64 Packages [7,589 kB]
Get:135 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty/universe i386 Packages [7,597 kB]
Get:136 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty/multiverse amd64 Packages [169 kB]
Get:137 http://us-east-1.ec2.archive.ubuntu.com/ubuntu trusty/multiverse i386 Packages [172 kB]
Fetched 68.9 MB in 34s (1,998 kB/s)
Reading package lists...
W: GPG error: http://ftp.us.debian.org/debian unstable InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 7638D0442B90D010  NO_PUBKEY 04EE7237B7D453EC
W: The repository 'http://ftp.us.debian.org/debian unstable InRelease' is not signed.
W: There is no public key available for the following key IDs:
7638D0442B90D010  NO_PUBKEY 04EE7237B7D453EC  
W: GPG error: https://packagecloud.io/github/git-lfs/ubuntu trusty InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 6B05F25D762E3157
W: The repository 'https://packagecloud.io/github/git-lfs/ubuntu trusty InRelease' is not signed.
W: There is no public key available for the following key IDs:
6B05F25D762E3157  
W: http://ppa.launchpad.net/couchdb/stable/ubuntu/dists/trusty/Release.gpg: Signature by key 15866BAFD9BCC4F3C1E0DFC7D69548E1C17EAB57 uses weak digest algorithm (SHA1)
The command "sudo -E apt-get -yq --no-install-suggests --no-install-recommends $(travis_apt_get_options) install libglfw3-dev" failed and exited with 100 during .

Could you try the Xenial image with

dist: xenial

Thanks.

Thanks for the quick response! I gave that a try but I get a similar error. Here’s the log:

Worker information
hostname: 734a50dd-6e1f-4196-af7a-a068fa202c0a@1.production-1-worker-org-gce-hkz4
version: v6.2.0 https://github.com/travis-ci/worker/tree/5e5476e01646095f48eec13196fdb3faf8f5cbf7
instance: travis-job-f839fea5-fd57-4c0e-b044-3a4c8afb4797 travis-ci-sardonyx-xenial-1547455603-2c98a19 (via amqp)
startup: 6.283004115s
system_info
Build system information
Build language: python
Build group: stable
Build dist: xenial
Build id: 496226369
Job id: 496226370
Runtime kernel version: 4.15.0-1026-gcp
travis-build version: 271c219b1
Build image provisioning date and time
Mon Jan 14 09:10:34 UTC 2019
Operating System Details
Distributor ID:	Ubuntu
Description:	Ubuntu 16.04.5 LTS
Release:	16.04
Codename:	xenial
Systemd Version
systemd 229
Cookbooks Version
f9b6c9e https://github.com/travis-ci/travis-cookbooks/tree/f9b6c9e
git version
git version 2.20.1
bash version
GNU bash, version 4.3.48(1)-release (x86_64-pc-linux-gnu)
gcc version
gcc (Ubuntu 5.4.0-6ubuntu1~16.04.11) 5.4.0 20160609
docker version
Client:
 Version:           18.06.0-ce
 API version:       1.38
 Go version:        go1.10.3
 Git commit:        0ffa825
 Built:             Wed Jul 18 19:11:02 2018
 OS/Arch:           linux/amd64
 Experimental:      false
Server:
 Engine:
  Version:          18.06.0-ce
  API version:      1.38 (minimum version 1.12)
  Go version:       go1.10.3
  Git commit:       0ffa825
  Built:            Wed Jul 18 19:09:05 2018
  OS/Arch:          linux/amd64
  Experimental:     false
clang version
clang version 7.0.0 (tags/RELEASE_700/final)
jq version
jq-1.5
bats version
Bats 0.4.0
shellcheck version
0.6.0
shfmt version
v2.6.2
ccache version
3.2.4
cmake version
cmake version 3.12.4
heroku version
heroku/7.19.4 linux-x64 node-v11.3.0
imagemagick version
Version: ImageMagick 6.8.9-9 Q16 x86_64 2018-09-28 http://www.imagemagick.org
md5deep version
4.4
mercurial version
version 4.8
mysql version
mysql  Ver 14.14 Distrib 5.7.24, for Linux (x86_64) using  EditLine wrapper
openssl version
OpenSSL 1.0.2g  1 Mar 2016
packer version
1.3.3
postgresql client version
psql (PostgreSQL) 10.6 (Ubuntu 10.6-1.pgdg16.04+1)
ragel version
Ragel State Machine Compiler version 6.8 Feb 2013
sudo version
1.8.16
gzip version
gzip 1.6
zip version
Zip 3.0
vim version
VIM - Vi IMproved 7.4 (2013 Aug 10, compiled Nov 24 2016 16:44:48)
iptables version
iptables v1.6.0
curl version
curl 7.47.0 (x86_64-pc-linux-gnu) libcurl/7.47.0 GnuTLS/3.4.10 zlib/1.2.8 libidn/1.32 librtmp/2.3
wget version
GNU Wget 1.17.1 built on linux-gnu.
rsync version
rsync  version 3.1.1  protocol version 31
gimme version
v1.5.3
nvm version
0.34.0
perlbrew version
/home/travis/perl5/perlbrew/bin/perlbrew  - App::perlbrew/0.85
phpenv version
rbenv 1.1.1-39-g59785f6
rvm version
rvm 1.29.7 (latest) by Michal Papis, Piotr Kuczynski, Wayne E. Seguin [https://rvm.io]
default ruby version
ruby 2.5.3p105 (2018-10-18 revision 65156) [x86_64-linux]
CouchDB version
couchdb 1.6.1
ElasticSearch version
5.5.0
Installed Firefox version
firefox 63.0.1
MongoDB version
MongoDB 4.0.5
PhantomJS version
2.1.1
Pre-installed PostgreSQL versions
9.4.20
9.5.15
9.6.11
Redis version
redis-server 5.0.3
Pre-installed Go versions
1.11.1
mvn version
Apache Maven 3.5.4 (1edded0938998edf8bf061f1ceb3cfdeccf443fe; 2018-06-17T18:33:14Z)
gradle version
Gradle 4.10.2!
lein version
Leiningen 2.8.3 on Java 11.0.1 OpenJDK 64-Bit Server VM
Pre-installed Node.js versions
v10.15.0
v11.0.0
v4.9.1
v6.16.0
v8.12.0
v8.15.0
v8.9
phpenv versions
  system
  5.6
  5.6.36
  7.1.19
* 7.2.7 (set by /home/travis/.phpenv/version)
  hhvm
  hhvm-stable
composer --version
Composer version 1.8.0 2018-12-03 10:31:16
Pre-installed Ruby versions
ruby-2.3.8
ruby-2.4.5
ruby-2.5.3
Adding APT Sources
0.46s$ curl -sSL "https://build.travis-ci.org/files/gpg/debian-sid.asc" | sudo -E apt-key add -
OK
0.01s$ echo "deb http://ftp.us.debian.org/debian unstable main contrib non-free" | sudo tee -a ${TRAVIS_ROOT}/etc/apt/sources.list >/dev/null
Installing APT Packages
38.65s$ travis_apt_get_update
1.65s$ sudo -E apt-get -yq --no-install-suggests --no-install-recommends $(travis_apt_get_options) install libglfw3-dev
Reading package lists...
Building dependency tree...
Reading state information...
The following additional packages will be installed:
  libc-bin libc-dev-bin libc-l10n libc6 libc6-dev libdrm-amdgpu1 libdrm-common
  libdrm-dev libdrm-intel1 libdrm-nouveau2 libdrm-radeon1 libdrm2 libegl-mesa0
  libegl1 libegl1-mesa libgbm1 libgl1 libgl1-mesa-dev libgl1-mesa-glx
  libglapi-mesa libgles1 libgles2 libglfw3 libglvnd-core-dev libglvnd-dev
  libglvnd0 libglx-mesa0 libglx0 libopengl0 libwayland-client0 libwayland-egl1
  libwayland-egl1-mesa libwayland-server0 libx11-xcb-dev libx11-xcb1
  libxcb-dri2-0 libxcb-dri2-0-dev libxcb-dri3-0 libxcb-dri3-dev libxcb-glx0
  libxcb-glx0-dev libxcb-present-dev libxcb-present0 libxcb-randr0
  libxcb-randr0-dev libxcb-shape0 libxcb-shape0-dev libxcb-sync-dev
  libxcb-sync1 libxcb-xfixes0 libxcb-xfixes0-dev libxcb1 libxcb1-dev
  libxdamage-dev libxdamage1 libxfixes-dev libxfixes3 libxshmfence-dev
  libxshmfence1 libxxf86vm-dev libxxf86vm1 locales mesa-common-dev
  x11proto-core-dev x11proto-damage-dev x11proto-dev x11proto-fixes-dev
  x11proto-input-dev x11proto-kb-dev x11proto-render-dev
  x11proto-scrnsaver-dev x11proto-xext-dev x11proto-xf86vidmode-dev
Suggested packages:
  glibc-doc manpages-dev libvulkan1 libxcb-doc
Recommended packages:
  manpages-dev libidn2-0 libegl1-mesa-dev libvulkan-dev libwayland-dev
  libxrandr-dev
The following NEW packages will be installed:
  libc-l10n libdrm-dev libegl-mesa0 libegl1 libgl1 libgl1-mesa-dev libgles1
  libgles2 libglfw3 libglfw3-dev libglvnd-core-dev libglvnd-dev libglvnd0
  libglx-mesa0 libglx0 libopengl0 libwayland-egl1 libx11-xcb-dev
  libxcb-dri2-0-dev libxcb-dri3-dev libxcb-glx0-dev libxcb-present-dev
  libxcb-randr0 libxcb-randr0-dev libxcb-shape0-dev libxcb-sync-dev
  libxcb-xfixes0-dev libxdamage-dev libxfixes-dev libxshmfence-dev
  libxxf86vm-dev mesa-common-dev x11proto-damage-dev x11proto-dev
  x11proto-fixes-dev x11proto-xf86vidmode-dev
The following packages will be upgraded:
  libc-bin libc-dev-bin libc6 libc6-dev libdrm-amdgpu1 libdrm-common
  libdrm-intel1 libdrm-nouveau2 libdrm-radeon1 libdrm2 libegl1-mesa libgbm1
  libgl1-mesa-glx libglapi-mesa libwayland-client0 libwayland-egl1-mesa
  libwayland-server0 libx11-xcb1 libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0
  libxcb-present0 libxcb-shape0 libxcb-sync1 libxcb-xfixes0 libxcb1
  libxcb1-dev libxdamage1 libxfixes3 libxshmfence1 libxxf86vm1 locales
  x11proto-core-dev x11proto-input-dev x11proto-kb-dev x11proto-render-dev
  x11proto-scrnsaver-dev x11proto-xext-dev
38 upgraded, 36 newly installed, 0 to remove and 858 not upgraded.
Need to get 16.3 MB of archives.
After this operation, 22.2 MB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
  libc-l10n libc-dev-bin libc6-dev locales libc6 libc-bin libdrm-common
  libdrm2 libdrm-amdgpu1 libdrm-intel1 libdrm-radeon1 libdrm-nouveau2
  libdrm-dev libglvnd0 libegl1 libwayland-egl1-mesa libwayland-egl1
  libegl1-mesa libwayland-server0 libgbm1 libx11-xcb1 libxcb1-dev libxcb1
  libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0 libxcb-present0 libxcb-sync1
  libxfixes3 libxdamage1 libxshmfence1 libxxf86vm1 libglx-mesa0 libglx0
  libgl1-mesa-glx libgl1 libglapi-mesa libwayland-client0 libxcb-xfixes0
  libegl-mesa0 mesa-common-dev libglvnd-core-dev libgles1 libgles2 libopengl0
  libglvnd-dev libx11-xcb-dev libxcb-dri3-dev libxcb-randr0 libxcb-randr0-dev
  libxcb-shape0 libxcb-shape0-dev libxcb-xfixes0-dev libxcb-sync-dev
  libxcb-present-dev libxshmfence-dev libxcb-dri2-0-dev libxcb-glx0-dev
  x11proto-core-dev x11proto-input-dev x11proto-kb-dev x11proto-render-dev
  x11proto-scrnsaver-dev x11proto-xext-dev x11proto-dev x11proto-fixes-dev
  libxfixes-dev x11proto-damage-dev libxdamage-dev x11proto-xf86vidmode-dev
  libxxf86vm-dev libgl1-mesa-dev libglfw3 libglfw3-dev
E: There were unauthenticated packages and -y was used without --allow-unauthenticated
apt-get.diagnostics
apt-get install failed
$ cat ${TRAVIS_HOME}/apt-get-update.log
Get:1 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial InRelease [247 kB]
Get:2 http://ftp.us.debian.org/debian unstable InRelease [242 kB]
Get:3 http://security.ubuntu.com/ubuntu xenial-security InRelease [109 kB]
Get:4 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-updates InRelease [109 kB]
Get:5 http://apt.postgresql.org/pub/repos/apt xenial-pgdg InRelease [51.3 kB]
Get:6 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-backports InRelease [107 kB]
Ign:2 http://ftp.us.debian.org/debian unstable InRelease
Get:7 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial/main Sources [1,103 kB]
Get:8 http://ftp.us.debian.org/debian unstable/main amd64 Packages [11.2 MB]
Get:9 http://apt.postgresql.org/pub/repos/apt xenial-pgdg/main amd64 Packages [200 kB]
Get:10 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial/restricted Sources [5,179 B]
Get:11 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial/universe Sources [9,802 kB]
Get:12 http://security.ubuntu.com/ubuntu xenial-security/main Sources [177 kB]
Get:13 http://security.ubuntu.com/ubuntu xenial-security/restricted Sources [2,243 B]
Get:14 http://security.ubuntu.com/ubuntu xenial-security/universe Sources [125 kB]
Get:15 http://apt.postgresql.org/pub/repos/apt xenial-pgdg/main i386 Packages [200 kB]
Get:16 http://security.ubuntu.com/ubuntu xenial-security/multiverse Sources [3,515 B]
Get:17 http://security.ubuntu.com/ubuntu xenial-security/main amd64 Packages [785 kB]
Get:18 http://security.ubuntu.com/ubuntu xenial-security/main i386 Packages [659 kB]
Get:19 http://security.ubuntu.com/ubuntu xenial-security/main Translation-en [357 kB]
Get:20 http://security.ubuntu.com/ubuntu xenial-security/restricted amd64 Packages [12.7 kB]
Get:21 http://security.ubuntu.com/ubuntu xenial-security/restricted i386 Packages [12.7 kB]
Get:22 http://security.ubuntu.com/ubuntu xenial-security/restricted Translation-en [2,204 B]
Get:23 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 Packages [541 kB]
Get:24 http://ftp.us.debian.org/debian unstable/main i386 Packages [11.1 MB]
Get:25 http://security.ubuntu.com/ubuntu xenial-security/universe i386 Packages [469 kB]
Get:26 http://security.ubuntu.com/ubuntu xenial-security/universe Translation-en [229 kB]
Get:27 http://security.ubuntu.com/ubuntu xenial-security/multiverse amd64 Packages [6,116 B]
Get:28 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial/multiverse Sources [215 kB]
Get:29 http://security.ubuntu.com/ubuntu xenial-security/multiverse i386 Packages [6,300 B]
Get:30 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial/main amd64 Packages [1,558 kB]
Get:31 http://security.ubuntu.com/ubuntu xenial-security/multiverse Translation-en [2,699 B]
Get:32 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial/main i386 Packages [1,552 kB]
Get:33 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial/main Translation-en [799 kB]
Get:34 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial/restricted amd64 Packages [14.1 kB]
Get:35 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial/restricted i386 Packages [14.5 kB]
Get:36 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial/restricted Translation-en [3,019 B]
Get:37 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages [9,827 kB]
Get:38 http://ftp.us.debian.org/debian unstable/main Translation-en [6,319 kB]
Get:39 http://ftp.us.debian.org/debian unstable/contrib amd64 Packages [71.8 kB]
Get:40 http://ftp.us.debian.org/debian unstable/contrib i386 Packages [65.1 kB]
Get:41 http://ftp.us.debian.org/debian unstable/contrib Translation-en [50.0 kB]
Get:42 http://ftp.us.debian.org/debian unstable/non-free amd64 Packages [113 kB]
Get:43 http://ftp.us.debian.org/debian unstable/non-free i386 Packages [101 kB]
Get:44 http://ftp.us.debian.org/debian unstable/non-free Translation-en [93.7 kB]
Get:45 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial/universe i386 Packages [9,804 kB]
Get:46 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial/universe Translation-en [6,256 kB]
Get:47 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial/multiverse amd64 Packages [176 kB]
Get:48 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial/multiverse i386 Packages [172 kB]
Get:49 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial/multiverse Translation-en [131 kB]
Get:50 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-updates/main Sources [416 kB]
Get:51 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-updates/restricted Sources [2,684 B]
Get:52 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-updates/universe Sources [309 kB]
Get:53 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-updates/multiverse Sources [9,417 B]
Get:54 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [1,179 kB]
Get:55 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [1,034 kB]
Get:56 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-updates/main Translation-en [520 kB]
Get:57 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-updates/restricted amd64 Packages [13.1 kB]
Get:58 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-updates/restricted i386 Packages [13.1 kB]
Get:59 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-updates/restricted Translation-en [2,334 B]
Get:60 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [938 kB]
Get:61 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [858 kB]
Get:62 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-updates/universe Translation-en [410 kB]
Get:63 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 Packages [19.1 kB]
Get:64 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-updates/multiverse i386 Packages [17.9 kB]
Get:65 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-updates/multiverse Translation-en [8,978 B]
Get:66 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-backports/main Sources [5,073 B]
Get:67 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-backports/universe Sources [7,237 B]
Get:68 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-backports/main amd64 Packages [7,942 B]
Get:69 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-backports/main i386 Packages [7,942 B]
Get:70 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-backports/main Translation-en [4,571 B]
Get:71 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-backports/universe amd64 Packages [8,532 B]
Get:72 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-backports/universe i386 Packages [8,172 B]
Get:73 http://us-east-1.ec2.archive.ubuntu.com/ubuntu xenial-backports/universe Translation-en [4,275 B]
Fetched 81.1 MB in 24s (3,289 kB/s)
Reading package lists...
W: GPG error: http://ftp.us.debian.org/debian unstable InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 7638D0442B90D010  NO_PUBKEY 04EE7237B7D453EC
W: The repository 'http://ftp.us.debian.org/debian unstable InRelease' is not signed.
The command "sudo -E apt-get -yq --no-install-suggests --no-install-recommends $(travis_apt_get_options) install libglfw3-dev" failed and exited with 100 during .

Any suggestions on how we might be able to get around this? I tried going through the documentation and playing around with the config file, but no luck. Thanks!

Imprint